Subject: [MMUSIC] Review of draft-begen-mmusic-rfc4566bis-iana-updates-01

From: Christer Holmberg <[email-masked]>
Date: Thu, 21 May 2015 19:05:02 +0000

Hi,

I have reviewed the rfc4566bis-iana-updates draft.

In general the draft looks ok. Regarding whether the content should be included in 4566bis, or be published as a separate RFC, my personal preference would be to include it in 4566bis. However, I can also live with a separate RFC. I don't think it should update RFC 4566.

I also have some editorial comments on section 3.1:

Q1:

The following sentence:

"While there have been multiple network and address types have been registered so far..."

....does not parse. I suggest to remove "there have been" in the beginning of the sentence:

"While multiple network and address types have been registered so far..."

Q2:

Instead of saying "usable", I suggest to say "applicable".

Q3:

In the table, would it be more clear to replace "SDP Name" with "nettype"?

Q4:

Instead of saying that the author "has to check" whether a new address type is usable/applicable with the existing network types, I'd say that author has to define with which addrtypes (new and existing) the new address type is applicable.

Thanks!

Regards,

Christer

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Wed, 27 May 2015 08:50:38 +0000

Thanks Christer.

See inline.

From:  Christer Holmberg
Date:  Thursday, May 21, 2015 at 10:05 PM
To:  "[email-masked]"
Cc:  "[email-masked]", "Ali C. Begen"
Subject:  Review of draft-begen-mmusic-rfc4566bis-iana-updates-01

>In general the draft looks ok. Regarding whether the content should be included in 4566bis, or be published as a separate RFC, my personal preference would be to include it in 4566bis. However, I can also live with a separate RFC. I don’t
> think it should update RFC 4566.
>
>
>

This draft has been integrated to the 4566bis draft in version 15. This was the agreement.
https://tools.ietf.org/html/draft-ietf-mmusic-rfc4566bis-15

So if you can have a look at this bis draft (section 8), that would be helpful.

>“While there have been multiple network and address types have been registered so far…”
> 
>….does not parse. I suggest to remove “there have been” in the beginning of the sentence:
> 
>“While multiple network and address types have been registered so far…”
>
>
>

N/A

>
> 
> 
>Q2:
> 
>Instead of saying “usable”, I suggest to say “applicable”.
>
>
>

I can change this.
>
> 
> 
>Q3:
> 
>In the table, would it be more clear to replace “SDP Name” with “nettype”?
>
>
>

I can do this, too.
>
> 
> 
>Q4:
> 
>Instead of saying that the author “has to check” whether a new address type is usable/applicable with the existing network types, I’d say that author has to define with which addrtypes (new and existing) the new address type is applicable.
>
>
>

Sound good.

-acbegen